<div class="container">
    <div class="table-wrapper">
        <div class="table-title">
            <div class="row">
                <div class="col-sm-8"><h2>Vaccination <b>Appointments</b></h2></div>
                <div class="col-sm-4">
                    <button type="button" class="btn btn-info add-new" (click)="openAPPTform()"><i class="fa fa-plus"></i> Add New</button>
                </div>
            </div>
        </div>
        <table class="table table-bordered">
            <thead>
                <tr>
                    <th>Provider Name</th>
                    <th>Date</th>
                    <th>Time</th>
                    <th>Location</th>
                    <th>Vaccine Mfr.</th>
                    <th>Action</th>
                </tr>
            </thead>
            <tbody>
               
                <tr *ngFor = "let appt of appts">
                    <td>{{appt.provider.providerName}} </td>
                    <td>{{appt.date}} </td>
                    <td>{{appt.time}} </td>
                    <td>{{appt.location.address}} , {{appt.location.city}}, {{appt.location.state}} </td>
                    <td>{{appt.vaccineMfr}} </td>
                    <td>
                        <a class="delete" title="Delete" data-toggle="tooltip" (click)="deleteAppt(appt.apptid)"><i class="material-icons">&#xE872;</i></a>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>
</div>     

